summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-08-27 08:53:43 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-08-27 08:53:43 +0100
commit4e6378ddac49b7268b7ab55d1f5900b2a6d81923 (patch)
tree89a507d970d870a55f81f8d959fb44818f9fa387 /eclass
parentf1aa825b8483db57bf28d0772acfa10aeebe83c3 (diff)
gentoo auto-resync : 27:08:2022 - 08:53:43
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin36978 -> 36969 bytes
-rw-r--r--eclass/ruby-ng.eclass2
-rw-r--r--eclass/ruby-single.eclass6
3 files changed, 4 insertions, 4 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index dd9169eb03f8..f6a49612466b 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 06548392a501..6eceb4d5ba9f 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -114,7 +114,7 @@ _ruby_get_all_impls() {
for i in ${USE_RUBY}; do
case ${i} in
# removed implementations
- ruby19|ruby20|ruby21|ruby22|ruby23|ruby24|ruby25|jruby)
+ ruby19|ruby20|ruby21|ruby22|ruby23|ruby24|ruby25|ruby26|jruby)
;;
*)
echo ${i};;
diff --git a/eclass/ruby-single.eclass b/eclass/ruby-single.eclass
index 1e390b9163ad..476d16b5cae1 100644
--- a/eclass/ruby-single.eclass
+++ b/eclass/ruby-single.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: ruby-single.eclass
@@ -18,7 +18,7 @@
# pull in the dependency on the requested ruby targets.
#
# @CODE
-# USE_RUBY="ruby26 ruby27"
+# USE_RUBY="ruby27 ruby30"
# inherit ruby-single
# RDEPEND="${RUBY_DEPS}"
# @CODE
@@ -67,7 +67,7 @@ inherit ruby-utils
#
# Example value:
# @CODE
-# || ( dev-lang/ruby:2.7 dev-lang/ruby:2.6 ) virtual/rubygems
+# || ( dev-lang/ruby:3.0 dev-lang/ruby:2.7 ) virtual/rubygems
# @CODE
#
# The order of dependencies will change over time to best match the